@import '~base-scss/base';

.lead-groups {
    @extend %main-content;
    display: flex;
    flex-direction: column;

    .header {
        display: flex;
        align-items: center;
        flex-shrink: 0;
        justify-content: space-between;
        background-color: $color-foreground;
        padding: $spacing-small;

        .filters {
            display: flex;
            flex-grow: 1;

            :global {
                .arys-filter {
                    margin: $spacing-small;
                }

                .button {
                    align-self: flex-end;
                    flex-shrink: 0;
                    margin: $spacing-small;
                }
            }
        }
    }

    .table-container {
        position: relative;
        flex-grow: 1;
        background-color: $color-background-row;
        overflow-y: auto;

        .lead-groups-table {
            :global {
                .header {
                    position: sticky;
                    top: 0;
                }

                .capitalize {
                    text-transform: capitalize;
                }

                .icon-wrapper {
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    font-size: $font-size-large;

                    a {
                        color: $color-accent;
                    }
                }

                .title {
                    width: 30%;
                }

                .actions {
                    width: 150px;
                }
            }
        }
    }

    .footer {
        display: flex;
        flex-shrink: 0;
        justify-content: space-between;
        border-top: $width-separator-thin solid $color-separator;
        background-color: $color-foreground-alt;
        padding: $spacing-small $spacing-medium-alt;

        .link {
            @extend %button-like-link;
            @include background-color($color-accent);
            margin-right: $spacing-extra-small;
        }

        .pager {
            display: flex;
            justify-content: center;
        }
    }
}
